> For the complete documentation index, see [llms.txt](https://docs.accurascan.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.accurascan.com/solutions/finger-biometrics/react-native/setup-accura-finger.md).

# Setup Accura Finger

### Setting up License <a href="#user-content-setting-up-license" id="user-content-setting-up-license"></a>

```
  getAccuraSetup = () => {
    //Method for get license info from native OS.
    AccurascanFinger.getMetaData((error, response) => {
      if (error != null) {
        console.log(error);
      } else {
        console.log(response);
      }
    });
  };
```

***

**Error:** String

**Success:** JSON String Response = { isValid: boolean, isFinger:boolean }

### Method for Enroll scan Finger documents. <a href="#user-content-5method-for-enroll-scan-finger-documents" id="user-content-5method-for-enroll-scan-finger-documents"></a>

```
  const startEnroll = async () => {
    const handSelected = rightHand ? "right" : "left";
    //Method for start Enroll Finger scaning from native OS.
    AccurascanFinger.startFingerEnroll([handSelected], (error, result) => {
      if (error) {
        console.error('Enrollment error:', error);
        return;
      }

      const parsedResult = JSON.parse(result);
      const tempDict = parsedResult.template_data;
      console.log('Success!', Object.values(tempDict));

    });
  };
```

***

**Error:** String

**Success:** JSON String Response = { image\_data: object, template\_data:object }

### Method for Verify scan Finger documents. <a href="#user-content-6method-for-verify-scan-finger-documents" id="user-content-6method-for-verify-scan-finger-documents"></a>

```
  const startVerify = async () => {
    const handSelected = rightHand ? "right" : "left";

    AccurascanFinger.startFingerVerify([handSelected], (error, result) => {
      if (error) {
        console.error('Verify error:', error);
        return;
      }
      const parsedResult = JSON.parse(result);
      const tempDict = parsedResult.template_data;
      console.log("Success!", Object.values(tempDict));
      
    });

  };
```

***

**Error:** String

**Success:** JSON String Response = { image\_data: object, template\_data:object }

### Method for GetResult scan Finger documents. <a href="#user-content-7method-for-getresult-scan-finger-documents" id="user-content-7method-for-getresult-scan-finger-documents"></a>

```
  const getResult = async (tempDict) => {
    AccurascanFinger.getResult([enrollTemplate, verifyTemplate], (error, result) => {
      if (error) {
        console.error('getResult error:', error);
        return;
      }
      console.log('getResult result:', result);
      const parsedResult = JSON.parse(result);
      console.log("RESULT:", parsedResult);

    });
  };
```

***

**Error:** String

**Success:** JSON String Response = { isValid: String }


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.accurascan.com/solutions/finger-biometrics/react-native/setup-accura-finger.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
